libdbi-drivers (0.9.0-10) unstable; urgency=medium

  * Don't use time zone literals with MariaDB (closes: #998553).
  * Sync with Ubuntu.

  [ Sergio Durigan Junior <sergio.durigan@canonical.com> ]
  * d/p/mysql-8.0: fixes for build against MySQL 8.0 (closes: #961282).
  * d/test_mysql.sh: fixes for MySQL 8.0.
  * d/p/test_mysql_date_tz.patch: fix MySQL test timezone inputs.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Feb 2022 11:02:33 +0100

libdbi-drivers (0.9.0-9) unstable; urgency=medium

  * Fix MariaDB test failure due to unsupported time zone literals
    (closes: #952744).

  [ Robie Basak <robie.basak@ubuntu.com> ]
  * d/p/test_exception_failure.patch: make test exceptions fail the test
    suite and thus the build (closes: #952743).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 28 Feb 2020 17:08:27 +0000

libdbi-drivers (0.9.0-8) unstable; urgency=medium

  * Sync with Ubuntu.

  [ Steve Langasek <steve.langasek@ubuntu.com> ]
  * debian/control, debian/rules: drop libdbi-sqlite
  * debian/buildtests: test suite to verify drivers are usable when
    libdbi is loaded via dlopen()
  * debian/copyright: adding copyright attribution for buildtests dir


 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Feb 2020 08:47:26 +0000

libdbi-drivers (0.9.0-7) unstable; urgency=medium

  * Update PostgreSQL float precision test (closes: #950164).
  * Update watch file.
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Feb 2020 21:26:12 +0000

libdbi-drivers (0.9.0-6) unstable; urgency=medium

  * Fix copyright file order.
  * Disable Vcs-* fields for now.
  * Update debhelper level to 11:
    - remove dh-autoreconf build dependency,
    - remove autotools-dev build dependency.
  * Update Standards-Version to 4.1.4 .
  * Sync with Ubuntu.

  [ Adam Conrad <adconrad@debian.org> ]
  * Upstream cherrypick to fix FTFBS with freetds 1.0 (closes: #891672).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 23 Apr 2018 15:46:23 +0000

libdbi-drivers (0.9.0-5) unstable; urgency=low

  * Switch to build depend on the metapackages default-libmysqlclient-dev ,
    default-mysql-client and default-mysql-server (closes: #845863).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Nov 2016 11:12:30 +0000

libdbi-drivers (0.9.0-4) unstable; urgency=medium

  * dbd_sqlite3: resolve a stack buffer overflow (closes: #824067).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 12 May 2016 16:43:16 +0000

libdbi-drivers (0.9.0-3) unstable; urgency=medium

  * Disable some tests that is a test suite problems (Closes: #737126)
  * Fix FTBFS on Hurd: add libpthread to tests/Makefile.am,
    thanks to Svante Signell for the patch (Closes: #737009)

 -- Prach Pongpanich <prachpub@gmail.com>  Fri, 04 Apr 2014 16:36:28 +0700

libdbi-drivers (0.9.0-2) unstable; urgency=medium

  [ Laszlo Boszormenyi ]
  * Multi-arch package (closes: #736656).

  [ Prach Pongpanich ]
  * Remove obsolete debian/*.dir files.
  * Disable all tests if asked to via DEB_BUILD_OPTIONS .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 28 Jan 2014 21:58:15 +0100

libdbi-drivers (0.9.0-1) unstable; urgency=medium

  [ Laszlo Boszormenyi ]
  * Add debian/patches:
    + fix_sqlite3_lib_name.patch
    + mysql_h_path.patch
  * Update run tests script.
  * Fix building as root.
  * Build with multi-arched libdbi.
  * Correct debian/copyright .

  [ Prach Pongpanich ]
  * Imported Upstream version 0.9.0
  * Adopt package (Closes: #635658)
  * Update d/gbp.conf and use pristine-tar by default
  * Add openjade and docbook-dsssl in Build-depends
  * Enable hardened build flags
  * Bump Standards-Version to 3.9.5
  * Change Vcs fields to point to collab-maint

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 20 Jan 2014 21:24:26 +0100

libdbi-drivers (0.8.3-1+s-5) unstable; urgency=low

  * Now escaping the username when doing the ALTER USER before running the
  pgsql unit tests, which fixes the FTBFS if the unix user running the tests
  is called "user" (Closes: #674315).

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 May 2012 16:52:30 +0000

libdbi-drivers (0.8.3-1+s-4) unstable; urgency=low

  * Make sure the PGSQL server is killed after tests suite (Closes: #673086),
  thanks to Andreas Barth <aba@ayous.org> for reporting.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 May 2012 08:35:07 +0000

libdbi-drivers (0.8.3-1+s-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Pick up multi-arch libraries for MySQL (Closes: #672928)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 14 May 2012 23:06:51 +0100

libdbi-drivers (0.8.3-1+s-3) unstable; urgency=low

  [ Thomas Goirand ]
  * Switched debian/copyright to format 1.0.
  * Added a debian/gbp.conf.
  * Re-activated the pgsql tests since they are now working agains.
  * Implemented DEB_BUILD_OPTIONS=nocheck in debian/rules.
  * Restores config.{guess,sub} on the clean: target.

  [ Jari Aalto <jari.aalto@cante.net> ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #668342).
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
  * Add build-arch and build-indep targets to rules file.
  * Add multiarch support (FTBFS; Closes: #650044), patch
    thanks to Clint Byrum <clint@ubuntu.com>.
  * Fix temporary-debhelper-file (Lintian) by cleaning debian/*.log.
  * Fix copyright-refers-to-symlink-license (Lintian).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Apr 2012 14:50:53 +0000

libdbi-drivers (0.8.3-1+s-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * A bug in the configure script causes --enable-libdbi to actually *disable*
    linking drivers with the library. However, since linking is now the
    default, this option is not needed anymore. Remove it from debian/rules
    (closes: #634619, #324937).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 27 Jul 2011 19:56:38 +0200

libdbi-drivers (0.8.3-1+s-2) unstable; urgency=low

  * Removed explicit dependency on libdbi0 (gosh, I don't get even how it could
  be there, since it should be computed by shlibs...).
  * Build-Depends on libdbi-dev (>= 0.8.4-5).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2011 20:55:26 +0000

libdbi-drivers (0.8.3-1+s-1) unstable; urgency=low

  * New upstream version.
  * Now using my @debian.org maintainer email.
  * Now calling ./autogen.sh and depending on libtool and automake.
  * Standards-Version: is now 3.9.1.
  * Now depends on debhelper 7.
  * Added Vcs-Browser: URL where I'll keep the Debian package source.
  * Added debian/source/format file (still using the new 1.0 format as
    otherwise the clean target is a lot of head akes).
  * Using dh_prep instead of dh_clean -k
  * Removed the duplicate section fields.
  * Now Build-Depends: on libdbi0-dev (>= 0.8.3)
  * Added missing ${misc:Depends}.
  * Added the use of the internal libdbi-drivers tests when building, which
    means that we also Build-Depends on: mysql-server, mysql-client,
    postgresql, postgresql-client, locales-all | language-pack-en
  * Added a dpatch that removes the ISO8859-1 tests with postgress, so that the
    rest of the PGSQL tests continues to work.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Aug 2010 07:09:42 +0800

libdbi-drivers (0.8.2-1-4.1) unstable; urgency=high

  * Non-maintainer upload with maintainer's approval.
  * High urgency upload for RC bugfix.
  * Pass --freetds-inc-dir to configure, to bypass the ridiculous upstream
    AC_FIND_FILE() checks for files that *aren't used during the build*;
    fixes a build failure with FreeTDS 0.82.  Closes: #493349.

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Aug 2008 09:00:11 +0000

libdbi-drivers (0.8.2-1-4) unstable; urgency=low

  * Updated the dbd_pgsql.c so it doesn't conflicts with the declaration of
    pg_encoding_to_char() that is now declared in libpq-fe.h: it was not
    declared in previous API (Closes: #462511)
  * Added (>= 8.3~rc2-1+b1) for the libpq-dev build-depends so there is no risk
    of FTBFS with the earlier version of the postgresql lib.
  * Bumped Standards-Version to 3.7.3
  * Fixed debian/*.doc-base indentation, and changed from Apps/Programming to
    Applications/Programming, as it has to be now.
  * Bumped compat level to 6.

 -- Thomas Goirand <thomas@goirand.fr>  Sun, 27 Jan 2008 08:53:16 +0000

libdbi-drivers (0.8.2-1-3) unstable; urgency=low

  * Added --enable-libdbi to use -ldbi at linking time as Linux only option
    so there is no dlopen() problem any more (Closes: #324937)

 -- Thomas Goirand <thomas@goirand.fr>  Thu, 06 Dec 2007 05:00:09 +0000

libdbi-drivers (0.8.2-1-2) unstable; urgency=low

  * New maintainer (Closes: #444425)
  * Now the -g -Wall are always added as compil flags
  * Homepage: field should not have <> around the URL
  * Now managing updates of config.sub and config.guess correctly
  * custom nostrip handling isn't needed since dh_strip handles it properly
  * Reviewed the debian/copyright for accuracy

 -- Thomas Goirand <thomas@goirand.fr>  Mon, 26 Nov 2007 06:09:08 +0000

libdbi-drivers (0.8.2-1-1) unstable; urgency=low

  * New upstream release
  * I'm taking over maintainance of this orphaned package (Closes: #444425)
  * Not using dh_movefile anymore
  * Added support for packaging the following drivers: sqlite3, freetds
  (Sybase and MS SQL support). Updated (build) dependencies.
  * Added a watch file
  * Switched to debhelper >= 5
  * Compat is now 5
  * Cleaned debian/rules
  * dh_shlibdeps is now working as it should

 -- Thomas Goirand <thomas@goirand.fr>  Sun, 30 Sep 2007 12:02:13 +0000

libdbi-drivers (0.7.1-3.1) unstable; urgency=low

  * NMU
  * Fix emplacement of pgsql include files (Closes: #322853)
  * Upgrade to the latest mysql build-dependency (Closes: #356739)
  * Switch to debhelper >> 4
  * Don't compress pdf files in order to have valid references in doc-base

 -- Julien Danjou <acid@debian.org>  Wed, 17 May 2006 14:52:19 +0200

libdbi-drivers (0.7.1-3) unstable; urgency=low

  * Updated build depends to point to libmysqlclient12-dev (closes: #299163)

 -- David Parker <david@neongoat.com>  Sat, 12 Mar 2005 12:10:39 -0800

libdbi-drivers (0.7.1-2) unstable; urgency=low

  * Fixed makefiles so that distclean doesn't remove documentation.

 -- David Parker <david@neongoat.com>  Sun,  1 Feb 2004 14:33:06 -0800

libdbi-drivers (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- David Parker <david@neongoat.com>  Tue, 20 Jan 2004 13:38:40 -0800

libdbi-drivers (0.7.0-1) unstable; urgency=low

  * New upstream release (closes: #210748)
  * PostgreSQL and MySQL drivers from libdbi-0.6.7 were split off into the
    libdbi-drivers project with the 0.7.0 release.
  * Rewrote packaging from scratch with debhelper (twice).
  * Bumped up Standards-Version

 -- David Parker <david@neongoat.com>  Tue, 23 Dec 2003 14:14:49 -0800

libdbi-drivers (0.3-2) unstable; urgency=low

  * Fixed Build-Depends.

 -- David Parker <david@neongoat.com>  Sun, 13 Apr 2003 21:16:54 -0700

libdbi-drivers (0.3-1) unstable; urgency=low

  * Initial Release (without debhelper).

 -- David Parker <david@neongoat.com>  Tue, 25 Mar 2003 21:44:40 -0800
